using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _GGCwithObjectDataSource : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void Page_Init(object sender, EventArgs e)
    {
        this.GGC.DataMember = "DefaultView";
        
        this.GGC.TableDescriptor.PrimaryKeyColumns.Add(new Syncfusion.Grouping.SortColumnDescriptor("ID"));
        this.DataBind();
    }

    protected void GGC_CurrentRecordContextChange(object sender, Syncfusion.Grouping.CurrentRecordContextChangeEventArgs e)
    {
        if (e.Action == Syncfusion.Grouping.CurrentRecordAction.EndEditComplete)
        {
            Facility fac;
            // This is a Facility instance that was modified
            fac = (Facility) e.Record.GetData();

            // Update your "data source" appropriately here, so that the next time DataBind is called on a postback,
            // it will include appropriate data (this logic is not implemented here)
            if(e.Record.Kind == Syncfusion.Grouping.DisplayElementKind.AddNewRecord)
            {
                // This record was added
                // If this is a record-addition, finally refresh the grid's binding
                this.GGC.Table.TableDirty = true;
            }
            else
            {
                // This record was edited.
            }
        }
    }
    protected void GGC_RecordDeleted(object sender, Syncfusion.Grouping.RecordEventArgs e)
    {
        // This will be called after deleting the Facility instance from the collection.
        // Here you cannot access the Facility instance that is already removed.

        // You can access the collection as follows:
        FacilityCollection list;
        list = (FacilityCollection) this.GGC.Engine.GetSourceList();

        // Update your "data source" appropriately here, so that the next time DataBind is called on a postback,
        // it will include appropriate data (this logic is not implemented here)

        // If this is a delete, finally refresh the grid's binding
        this.GGC.Table.TableDirty = true;
    }
    protected void GGC_RecordDeleting(object sender, Syncfusion.Grouping.RecordEventArgs e)
    {
        Facility fac;
        // This is a Facility instance that will be deleted from the FacilityCollection after this handler returns.
        fac = (Facility) e.Record.GetData();
    }
}
